import { GlobalSignOutCommand } from '@aws-sdk/client-cognito-identity-provider';
import { cognitoClient } from './awsCognito';

export const logout = async (accessToken: string): Promise<void> => {
  const params = {
    AccessToken: accessToken,
  };

  const command = new GlobalSignOutCommand(params);

  try {
    await cognitoClient.send(command);
    console.log('Logout successful.');
  } catch (error) {
    console.error('Logout failed:', error);
    throw error;
  }
};
