import {
  SignUpCommand,
  SignUpCommandInput,
} from '@aws-sdk/client-cognito-identity-provider';
import { cognitoClient } from './awsCognito';
import { poolData } from '../constants';

export const signUp = async (
  email: string,
  password: string
): Promise<void> => {
  const params: SignUpCommandInput = {
    ClientId: poolData.ClientId,
    Username: email,
    Password: password,
    UserAttributes: [{ Name: 'email', Value: email }],
  };

  const command = new SignUpCommand(params);

  try {
    const response = await cognitoClient.send(command);
    console.log('SignUp success:', response);
  } catch (error) {
    console.error('SignUp failed:', error);
    throw error;
  }
};
